Botan 1.10.17

Namespaces | Functions
x509_key.h File Reference
`#include <botan/pk_keys.h>`
`#include <botan/alg_id.h>`
`#include <botan/pubkey_enums.h>`
`#include <botan/pipe.h>`
`#include <string>`

Go to the source code of this file.

## Namespaces
| Botan
| Botan::X509

## Functions
MemoryVector< byte > | Botan::X509::BER_encode (const Public_Key &key)
Public_Key * | Botan::X509::copy_key (const Public_Key &key)
void | Botan::X509::encode (const Public_Key &key, Pipe &pipe, X509_Encoding encoding=PEM)
Key_Constraints | Botan::X509::find_constraints (const Public_Key &pub_key, Key_Constraints limits)
Public_Key * | Botan::X509::load_key (DataSource &source)
Public_Key * | Botan::X509::load_key (const std::string &fsname)
Public_Key * | Botan::X509::load_key (const MemoryRegion< byte > &mem)
std::string | Botan::X509::PEM_encode (const Public_Key &key)